| ghc-6.10.4: The GHC API | Contents | Index

CmmTx

Documentation
data ChangeFlag

Constructors

NoChange |
SomeChange |

type Tx a = a -> TxRes a
data TxRes a

Constructors

TxRes ChangeFlag a |

Instances

Monad TxRes
Functor TxRes

seqTx :: Tx a -> Tx a -> Tx a
iterateTx :: Tx a -> Tx a
runTx :: Tx a -> a -> a
aTx :: a -> TxRes a
noTx :: a -> TxRes a
replaceTx :: a -> TxRes b -> TxRes a
txVal :: TxRes a -> a
txHasChanged :: TxRes a -> Bool
plusTx :: (a -> b -> c) -> TxRes a -> TxRes b -> TxRes c
mapTx :: Tx a -> Tx [a]
orChange :: ChangeFlag -> ChangeFlag -> ChangeFlag
Produced by Haddock version 2.4.2